PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package pad
  Definition Classes
    serverobject
-  package process
  Definition Classes
    pad
- VehicleSpawnControl
- VehicleSpawnPad
- VehicleSpawnPadDefinition

o

net.psforever.objects.serverobject.pad

# VehicleSpawnControl

###
Companion class VehicleSpawnControl

#### object VehicleSpawnControl

Source
  VehicleSpawnControl.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleSpawnControl
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class Order(driver: Player, vehicle: Vehicle) extends Product with Serializable

   An entry that stores a vehicle spawn pad spawning task (called an "order").

   An entry that stores a vehicle spawn pad spawning task (called an "order").

   driver

     the player who wants the vehicle

   vehicle

     the vehicle

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DisposeSpawnedVehicle(entry: Order, zone: Zone): Unit

   Properly clean up a vehicle that has been registered and spawned into the game world.

   Properly clean up a vehicle that has been registered and spawned into the game world. Call this downstream of "`ConcealPlayer`".

   entry

     the order being cancelled

   zone

     the zone in which the vehicle is registered (should be located)

5.  def DisposeVehicle(vehicle: Vehicle, zone: Zone): Unit

   Properly clean up a vehicle that has been registered and spawned into the game world.

   Properly clean up a vehicle that has been registered and spawned into the game world.

   vehicle

     the vehicle being disposed

   zone

     the zone in which the vehicle is registered (should be located)

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
22.  object ProcessControl extends Enumeration

    An `Enumeration` of non-data control messages for the vehicle spawn process.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped